The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Errno: Architecture does not match with CPanel Current 23868

Discussion in 'General Discussion' started by cursor, Apr 29, 2008.

  1. cursor

    cursor Registered

    Joined:
    Nov 25, 2003
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    Hi,

    In my over excitement I installed the VPS optimized edition of the cpanel via the latest current build 23868. But it seems during the upgrade process 'Spam Assasin' does not compile and spamd is failing with the following error:

    Starting exim: [ OK ] Starting exim-smtps: [ OK ] Starting antirelayd: [ OK ] Starting spamd: Errno architecture (i686-linux-2.6.9-023stab044.4-enterprise) does not match executable architecture (i686-linux-2.6.9-023stab046.2-smp) at /usr/lib/perl5/site_perl/5.8.8/Errno.pm line 11. Compilation failed in require at /usr/lib/perl5/5.8.8/i686-linux/IO/Socket.pm line 17. BEGIN failed--compilation aborted at /usr/lib/perl5/5.8.8/i686-linux/IO/Socket.pm line 17. Compilation failed in require at /usr/lib/perl5/5.8.8/i686-linux/IO/Socket/INET.pm line 11. BEGIN failed--compilation aborted at /usr/lib/perl5/5.8.8/i686-linux/IO/Socket/INET.pm line 11. Compilation failed in require at /usr/bin/spamd line 46. BEGIN failed--compilation aborted at /usr/bin/spamd line 81. [FAILED]

    The same architecture mismatch error message appears while spamassasin is being compiled too.

    Please help!
     
  2. cursor

    cursor Registered

    Joined:
    Nov 25, 2003
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    I fixed it

    Okay. So I fixed the problem. Just do a complete reinstall of 'perl'. Fetch the latest version of perl from layer1.cpanel.net.
     

Share This Page